package cn.com.poc.thirdparty.resource.demand.ai.entity.baidu.aicustom;

import com.alibaba.fastjson.annotation.JSONField;

/**
 * @author alex.yao
 * @date 2023/7/31
 **/
public class Usage {
    /**
     * 问题tokens数
     */
    @JSONField(name = "prompt_tokens")
    private Integer promptTokens;

    /**
     * 回答tokens数
     */
    @JSONField(name = "completion_tokens")
    private Integer completionTokens;

    /**
     * tokens总数
     */
    @JSONField(name = "total_tokens")
    private Integer totalTokens;

    public Integer getPromptTokens() {
        return promptTokens;
    }

    public void setPromptTokens(Integer promptTokens) {
        this.promptTokens = promptTokens;
    }

    public Integer getCompletionTokens() {
        return completionTokens;
    }

    public void setCompletionTokens(Integer completionTokens) {
        this.completionTokens = completionTokens;
    }

    public Integer getTotalTokens() {
        return totalTokens;
    }

    public void setTotalTokens(Integer totalTokens) {
        this.totalTokens = totalTokens;
    }
}
